REM The following is required in all INSTALL.CMD files
if exist c:\system.sav\util\SetVariables.cmd Call c:\system.sav\util\SetVariables.cmd
Set block=%~dp0
CD /D "%block%"
REM Remove the REM from the next line if your component does not support Silent Install (Application Recovery)
REM Erase /F /Q *.CVA
REM Add the command-line to have your component to be installed properly

Pushd src
@echo off
set version=1.0.1
echo ==================================================================
echo                Martini SW BT install script
echo                                                  Version : %version%
echo                                                   Author : HP
echo ==================================================================

Pnputil.exe /add-driver "%~dp0src\*.inf" /install
if %ERRORLEVEL% EQU 0 (
	echo [STEP  PASS] Install QC-Marini BT driver [btfilter] Successful !!
) else (
	If %ERRORLEVEL% EQU 259 (
		echo [STEP  PASS] Install QC-Marini BT driver [btfilter] Already exist !!
	) else if %ERRORLEVEL% EQU 3010 (
		echo [STEP  PASS] Install QC-Marini BT driver [btfilter] Installation completed and system reboot is required !!
	) else (	
		echo [STEP  FAIL] Install QC-Marini BT driver [btfilter] Installation failed ... ERRORLEVEL = %ERRORLEVEL% !!
	)
)
@echo on
Popd

REM Erase failure flag file when install succeeded. Most applications return zero to indicate success.
ECHO %ERRORLEVEL% >> FAILURE.FLG
IF %ERRORLEVEL% EQU 0 ERASE /F /Q FAILURE.FLG
IF %ERRORLEVEL% EQU 259 ERASE /F /Q FAILURE.FLG
IF %ERRORLEVEL% EQU 3010 ERASE /F /Q FAILURE.FLG
EXIT /B %ERRORLEVEL%

